<?php
class ControllerCheckoutSuccess extends Controller {
	public function index() {
		$this->load->language('checkout/success');

		if (isset($this->session->data['order_id'])) {

            if ($this->alphasms_init()==true && $this->config->get('alphasms_events_admin_new_order')) {

                $l = $this->language->get('code');
                $message = $this->config->get('alphasms_message_admin_new_order_' . $l);
                if (empty($message))
                    $message = $this->language->get('alphasms_message_admin_new_order');

                $phones = array($this->config->get('alphasms_admphone'));
                if (strlen($this->config->get('alphasms_admphone1'))) $phones[] = $this->config->get('alphasms_admphone1');

                $this->alphasms_logger->write('['.substr(__FILE__, strlen(DIR_SYSTEM)-1).
                    '] Event: alphasms_events_admin_new_order. Dest phone:'
                    .implode(', ', $phones) ." Message: ".$message
                );

                foreach($phones as $phone)
                    $this->alphasms_gateway->sendSms($phone, $message);
            }

            if ($this->config->get('alphasms_events_customer_new_order')){
                $this->load->model('checkout/order');
                $last_order = $this->model_checkout_order->getOrder($this->session->data['order_id']);

                $l = $this->language->get('code');
                $message_text = $this->config->get('alphasms_message_customer_new_order_' . $l);
                if (empty($message_text))
                    $message_text = $this->language->get('alphasms_message_customer_new_order');

                $message = sprintf(
                    $message_text,
                    $this->session->data['order_id']
                );

                $this->alphasms_logger->write('['.substr(__FILE__, strlen(DIR_SYSTEM)-1).
                    '] Event: alphasms_events_customer_new_order. Dest phone:'
                    .$last_order['telephone'] ." Message: ".$message
                );

                $this->alphasms_gateway->sendSms($last_order['telephone'], $message);
            }

            $this->cart->clear();

			// Add to activity log
			if ($this->config->get('config_customer_activity')) {
				$this->load->model('account/activity');

				if ($this->customer->isLogged()) {
					$activity_data = array(
						'customer_id' => $this->customer->getId(),
						'name'        => $this->customer->getFirstName() . ' ' . $this->customer->getLastName(),
						'order_id'    => $this->session->data['order_id']
					);

					$this->model_account_activity->addActivity('order_account', $activity_data);
				} else {
					$activity_data = array(
						'name'     => $this->session->data['guest']['firstname'] . ' ' . $this->session->data['guest']['lastname'],
						'order_id' => $this->session->data['order_id']
					);

					$this->model_account_activity->addActivity('order_guest', $activity_data);
				}
			}

			unset($this->session->data['shipping_method']);
			unset($this->session->data['shipping_methods']);
			unset($this->session->data['payment_method']);
			unset($this->session->data['payment_methods']);
			unset($this->session->data['guest']);
			unset($this->session->data['comment']);
			unset($this->session->data['order_id']);
			unset($this->session->data['coupon']);
			unset($this->session->data['reward']);
			unset($this->session->data['voucher']);
			unset($this->session->data['vouchers']);
			unset($this->session->data['totals']);
		}

		$this->document->setTitle($this->language->get('heading_title'));

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/home')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_basket'),
			'href' => $this->url->link('checkout/cart')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_checkout'),
			'href' => $this->url->link('checkout/checkout', '', true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_success'),
			'href' => $this->url->link('checkout/success')
		);

		$data['heading_title'] = $this->language->get('heading_title');

		if ($this->customer->isLogged()) {
			$data['text_message'] = sprintf($this->language->get('text_customer'), $this->url->link('account/account', '', true), $this->url->link('account/order', '', true), $this->url->link('account/download', '', true), $this->url->link('information/contact'));
		} else {
			$data['text_message'] = sprintf($this->language->get('text_guest'), $this->url->link('information/contact'));
		}

		$data['button_continue'] = $this->language->get('button_continue');

		$data['continue'] = $this->url->link('common/home');

		$data['column_left'] = $this->load->controller('common/column_left');
		$data['column_right'] = $this->load->controller('common/column_right');
		$data['content_top'] = $this->load->controller('common/content_top');
		$data['content_bottom'] = $this->load->controller('common/content_bottom');
		$data['footer'] = $this->load->controller('common/footer');
		$data['header'] = $this->load->controller('common/header');

		$this->response->setOutput($this->load->view('common/success', $data));
	}
}